com.io7m.r2.core

## Interface R2LightProjectiveWithShadowVarianceType

- All Superinterfaces:
    R2LightProjectiveReadableType, R2LightProjectiveType, R2LightProjectiveUsableType, R2LightProjectiveWithShadowReadableType, R2LightProjectiveWithShadowType, R2LightProjectiveWithShadowWritableType, R2LightProjectiveWritableType, R2LightReadableType, R2LightSingleReadableType, R2LightSingleType, R2LightSingleWritableType, R2LightVolumeSingleReadableType, R2LightVolumeSingleType, R2LightVolumeSingleWritableType, R2LightWithShadowSingleType, R2LightWritableType
  All Known Implementing Classes:
    R2LightProjectiveWithShadowVariance

      public interface R2LightProjectiveWithShadowVarianceType
      extends R2LightProjectiveWithShadowType

  The type of projective lights with variance shadows.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2ShadowDepthVarianceType` | `shadow()`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightProjectiveReadableType

      `falloff, image, matchLightVolumeSingleReadable, matchProjectiveReadable, position, projection, radius, transform`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightProjectiveWritableType

      `setFalloff, setRadius, transformWritable`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightVolumeSingleType

      `matchLightSingle`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightSingleReadableType

      `arrayObject`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightReadableType

      `color, intensity, lightID`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightWritableType

      `colorWritable, setIntensity`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightProjectiveWithShadowReadableType

      `matchProjectiveReadable`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightWithShadowSingleType

      `matchLightWithShadow`

- - ### Method Detail

    - #### shadow

          R2ShadowDepthVarianceType shadow()

      Specified by:
        `shadow` in interface `R2LightWithShadowSingleType`
      Returns:
        The shadow for the light

Copyright © 2016 <code@io7m.com> http://io7m.com